/* Переменные для удобного внесения изменений при необходимости */
:root {
    --font: '-Inter-', sans-serif;
    --color-white: #fff; /* Белый цвет */
    --color-black: #1f1f1f; /* Черный цвет */
    --color-dark-blue: #0d41e1; /* Синий цвет */
    --color-blue: #00c9fc; /* Голубой цвет */
}

/* Выделение текста на всём сайте */
html::-moz-selection {
    background: var(--color-blue);
    color: var(--color-white);
}

html::selection {
    background: var(--color-blue);
    color: var(--color-white);
}

/* Выделение текста тегами */
/*b, strong {
    font-weight: 600 !important;
}*/

/* Отступы между блоками для удобного массового изменения */

/*  .my-margin-between-blocks-1 — Отступы над хлебными крошками
 *  .my-margin-between-blocks-2 — Отступы под хлебными крошками и над заголовком H1
 *  .my-margin-between-blocks-3 — 1) Отступы под заголовком H1 (между заголовком и текстом). 2) Отступы между контентом на страницах с контентом
 *  .my-margin-between-blocks-4 — Отступы под заголовками H2 (между заголовком и текстом) для страниц со Статьями
 *  .my-margin-between-blocks-5 — Отступы между блоками с текстом для страниц со Статьями
 *  .my-margin-between-blocks-6 — 1) Отступы между блоками на главной странице, 2) Отступы между большими блоками на других страницах
 *  .my-margin-between-blocks-7 — Отступы между блоками с каруселями карточек серверов
 */

@media (min-width: 1200px) {
    .my-margin-between-blocks-1 {height: 80px;} /* Отступы над хлебными крошками */
    .my-margin-between-blocks-2 {height: 40px;} /* Отступы под хлебными крошками и над заголовком H1 */
    .my-margin-between-blocks-3 {height: 40px;} /* 1) Отступы под заголовком H1 (между заголовком и текстом). 2) Отступы между контентом на страницах с контентом */
    .my-margin-between-blocks-4 {height: 25px;} /* Отступы под заголовками H2 (между заголовком и текстом) для страниц со Статьями */
    .my-margin-between-blocks-5 {height: 40px;} /* Отступы между блоками с текстом для страниц со Статьями */
    .my-margin-between-blocks-6 {height: 110px;} /* 1) Отступы между блоками на главной странице, 2) Отступы между большими блоками на других страницах */
    .my-margin-between-blocks-7 {height: 20px;} /* Отступы между блоками с каруселями карточек серверов */
}

@media (min-width: 981px) and (max-width: 1199px) {
    .my-margin-between-blocks-1 {height: 80px;}
    .my-margin-between-blocks-2 {height: 40px;}
    .my-margin-between-blocks-3 {height: 40px;}
    .my-margin-between-blocks-4 {height: 25px;}
    .my-margin-between-blocks-5 {height: 40px;}
    .my-margin-between-blocks-6 {height: 110px;}
    .my-margin-between-blocks-7 {height: 110px;}
}

@media (min-width: 960px) and (max-width: 980px) {
    .my-margin-between-blocks-1 {height: 150px;}
    .my-margin-between-blocks-2 {height: 40px;}
    .my-margin-between-blocks-3 {height: 40px;}
    .my-margin-between-blocks-4 {height: 25px;}
    .my-margin-between-blocks-5 {height: 40px;}
    .my-margin-between-blocks-6 {height: 110px;}
    .my-margin-between-blocks-7 {height: 110px;}
}

@media (min-width: 640px) and (max-width: 959px) {
    .my-margin-between-blocks-1 {height: 150px;}
    .my-margin-between-blocks-2 {height: 40px;}
    .my-margin-between-blocks-3 {height: 40px;}
    .my-margin-between-blocks-4 {height: 25px;}
    .my-margin-between-blocks-5 {height: 40px;}
    .my-margin-between-blocks-6 {height: 100px;}
    .my-margin-between-blocks-7 {height: 90px;}
}

@media (min-width: 480px) and (max-width: 639px) {
    .my-margin-between-blocks-1 {height: 110px;}
    .my-margin-between-blocks-2 {height: 40px;}
    .my-margin-between-blocks-3 {height: 40px;}
    .my-margin-between-blocks-4 {height: 25px;}
    .my-margin-between-blocks-5 {height: 40px;}
    .my-margin-between-blocks-6 {height: 80px;}
    .my-margin-between-blocks-7 {height: 80px;}
}

@media (max-width: 479px) {
    .my-margin-between-blocks-1 {height: 110px;}
    .my-margin-between-blocks-2 {height: 40px;}
    .my-margin-between-blocks-3 {height: 30px;}
    .my-margin-between-blocks-4 {height: 20px;}
    .my-margin-between-blocks-5 {height: 25px;}
    .my-margin-between-blocks-6 {height: 60px;}
    .my-margin-between-blocks-7 {height: 60px;}
}

/* Ссылки на телефоны и email */
#allrecords a[href^=tel],
#allrecords a[href^=mailto] {
    color: inherit;
}

/* Стили при наведении на кликабельные изображения */
#allrecords a>img:hover {
    opacity: 0.7;
    transition: all 0.2s;
}

/* Высота полей форм */
#allrecords .t-select,
#allrecords .t-submit,
#allrecords .t-input {
    height: 52px;
}

/* Меняем ширины и отступы стандартных блоков, чтобы соответствовали zero блокам */
@media (max-width: 959px) {
    #allrecords .t-container {
        max-width: 620px;
        margin: 0 auto;
    }

    #allrecords .t-container .t-col {
        padding: 0;
    }
}

@media (max-width: 639px) {
    #allrecords .t-container {
        max-width: 460px;
        margin: 0 auto;
    }

    #allrecords .t-container .t-col {
        padding: 0;
    }

    /* Хлебные крошки */
    #allrecords .t758__list_item {
        font-size: 14px;
        white-space: unset !important;
    }
}

@media (max-width: 479px) {
    #allrecords .t-container {
        max-width: 320px;
        margin: 0 auto;
    }

    #allrecords .t-container .t-col {
        padding: 0;
    }
}

/* Ссылки в сайдбаре */
#allrecords .uc-sidebar a {
    color: var(--color-black);
    transition: all 0.2s;
}

#allrecords .uc-sidebar a:hover {
    color: var(--color-blue);
    transition: all 0.2s;
}

#allrecords .uc-sidebar a.active {
    font-weight: 600;
}

/* Ссылки заголовки товаров на страницах списка товаров */
#allrecords .uc-catalog-listing a,
#allrecords .uc-solutions-listing a {
    color: var(--color-black);
    transition: all 0.2s;
}

#allrecords .uc-catalog-listing a:hover,
#allrecords .uc-solutions-listing a:hover {
    color: var(--color-blue);
    transition: all 0.2s;
}

/* Основное меню */
#allrecords header a img:hover {
    opacity: 0.7;
    transition: all 0.2s;
}

#allrecords header a:not(.header-btn-request-form a):hover {
    color: var(--color-blue) !important;
    transition: all 0.2s;
}

/* Дополнительные стили для меню бургера */
#allrecords .uc-header_burger .t450__container,
#allrecords .uc-header_burger-mob .t450__container {
    padding-right: 60px;
}

#allrecords .uc-header_burger .t450__logowrapper {
    margin-top: 20px !important;
    margin-bottom: 50px !important;
}

#allrecords .uc-header_burger .t450 a,
#allrecords .uc-header_burger-mob .t450 a {
    color: var(--color-white) !important;
}

#allrecords .uc-header_burger .t450 a:hover,
#allrecords .uc-header_burger-mob .t450 a:hover {
    color: var(--color-blue) !important;
}

/* Стили для меню в футере */
#allrecords footer a img:hover {
    opacity: 0.7;
    transition: all 0.2s;
}

#allrecords footer a:hover {
    color: var(--color-blue) !important;
    transition: all 0.2s;
}

/* Дополнительные стили для уведомления о cookie-файлах */
#rec799673751 .t887__wrapper {
    padding: 25px 30px;
}

#rec799673751 button svg {
    width: 13px;
    height: 13px;
}

@media (max-width: 480px) {
    #rec799673751 .t887 {
        width: 70%;
        bottom: 10px !important;
    }

    #rec799673751 .t887__wrapper {
        /*padding: 25px 82px 30px 25px;*/
        padding: 15px 35px 15px 20px;
    }

    #rec799673751 .t887__icon-close {
        top: 5px;
        right: 5px;
        padding: 5px;
        opacity: .8;
    }

    #rec799673751 .t887__text div {
        font-size: 12px !important;
    }
}

/* Дополнительные стили для кнопки "Наверх" */
@media (max-width: 480px) {
    #rec799221383 .t890 {
        bottom: 110px !important;
        right: 25px !important;
    }

    #rec799221383 .t890__arrow {
        transform: scale(1.1) !important;
    }
}

/* Дополнительные стили для виджета заказа звонка */
/* 1. Поле для ввода номера */
#allrecords footer .t651 .t651__input {
    text-align: center;
}

/* 2. Текст с номером телефона под формой */
#allrecords footer .t651 .t651__additional-info>div.t651__phone {
    font-weight: 700;
}

/* 3. Текст с согласием на обработку ПД */
#allrecords footer .t651 .t651__bottom-text>div {
    font-size: 12px !important;
    line-height: 1.45;
}

/* Листинг с элементами разделов "О компании" и "Полезная информация */
#allrecords .uc-elements-list .t404 .t-col {
    margin-bottom: 40px;
    border: 1px solid #333;
    box-sizing: border-box;
}

#allrecords .uc-elements-list .t404 .t-col:hover {
    opacity: 0.7;
}

@media (min-width: 961px) {
    #allrecords .uc-elements-list .t404__uptitle {
        margin-bottom: 0;
        padding: 20px 30px 0px 30px;
    }

    #allrecords .uc-elements-list .t404__title {
        margin-bottom: 12px;
        padding: 20px 30px 0px 30px;
    }

    #allrecords .uc-elements-list .t404__descr {
        padding: 10px 30px 0 30px;
    }
}

@media (min-width: 641px) and (max-width: 960px) {
    #allrecords .uc-elements-list .t404__textwrapper {
        margin-top: 20px;
    }
}

@media (max-width: 640px) {
    #allrecords .uc-elements-list .t404__uptitle {
        margin-bottom: 0;
        padding: 20px 30px 0px 30px;
    }

    #allrecords .uc-elements-list .t404__title {
        margin-bottom: 12px;
        padding: 20px 30px 0px 30px;
    }

    #allrecords .uc-elements-list .t404__descr {
        padding: 10px 30px 0 30px;
    }
}

/***** Стили для страниц серверов с конфигураторами *****/

/********** 1. Стили для формы конфигуратора (с выбором характеристик сервера) */
#allrecords .uc-config-serv-page .t-select,
#allrecords .uc-config-serv-page .t-submit,
#allrecords .uc-config-serv-page .t-input {
    height: 52px;
}

#allrecords .uc-config-serv-page .t678 .t-form__submit {
    text-align: left;
}

#allrecords .uc-config-serv-page .t-form__inputsbox.t-form__inputsbox_flex {
    justify-content: space-between;
    align-items: center;
}

#allrecords .uc-config-serv-page .t678 .t-input-group {
    margin-bottom: 0;
}

#allrecords .uc-config-serv-page .t-input-group>label,
#allrecords .uc-config-serv-page .t-input-group>.t-input-block {
    font-size: 18px;
}

#allrecords .uc-config-serv-page .characteristics {
    width: 78% !important;
}

#allrecords .uc-config-serv-page .x-sign {
    width: auto !important;
}

#allrecords .uc-config-serv-page .quantity {
    width: 14% !important;
}

#allrecords .char-not-required {
    font-weight: 600;
    text-decoration: underline;
}

#allrecords .uc-config-serv-page .t-input__vis-ph {
    top: 19px;
}

@media (max-width: 1200px) {
    #allrecords .uc-config-serv-page .t-col_7 {
        max-width: 98%;
    }
}

@media (max-width: 640px) {

    /* Поля формы */
    #allrecords .uc-config-serv-page .characteristics {
        width: 100% !important;
    }

    #allrecords .uc-config-serv-page .x-sign {
        display: none;
    }

    #allrecords .uc-config-serv-page .quantity {
        padding-top: 20px;
        width: 100% !important;
    }

    #allrecords .uc-config-serv-page .t-form__inputsbox_inrow .t-input-group_inonerow {
        margin-top: 20px;
        width: 100%;
    }

    #allrecords .uc-config-serv-page .t-text_xs {
        font-size: 14px;
    }

    #allrecords .uc-config-serv-page .t-form__submit {
        padding-bottom: 0;
    }
}

@media (max-width: 480px) {
    #allrecords .t678 .t-input-group {
        margin-bottom: 0;
    }
}

/********** 2. Таблица с выбранными характеристиками сервера для десктопов */
#server-characteristics {
    font-family: var(--font) !important;
    font-size: 15px;
    padding: 30px;
    border: 1px solid #333;
}

#server-characteristics th {
    font-size: 20px;
    padding: 25px 0;
}

#server-characteristics th h2 {
    font-size: 20px;
}

#server-characteristics td {
    padding: 8px;
    vertical-align: top;
}

#server-characteristics td:first-child {
    vertical-align: top;
    font-weight: 700;
    width: 40%;
}

#server-characteristics td:last-child {
    width: 60%;
}

/********** 3. Таблица с выбранными характеристиками сервера для планшетов и мобильных (вторая таблица для экранов менее 1200px) */
#server-characteristics-mob {
    font-family: var(--font) !important;
    font-size: 15px;
    padding: 30px;
    border: 1px solid #333;
}

#server-characteristics-mob th {
    font-size: 20px;
    padding: 25px 0;
}

#server-characteristics-mob th h2 {
    font-size: 20px;
}

#server-characteristics-mob td {
    padding: 8px;
    vertical-align: top;
}

#server-characteristics-mob td:first-child {
    vertical-align: top;
    font-weight: 700;
    width: 40%;
}

#server-characteristics-mob td:last-child {
    width: 60%;
}

@media (max-width: 1200px) {
    #server-characteristics-mob {
        width: 100%;
        margin-bottom: 40px;
    }
}

@media (max-width: 480px) {
    #server-characteristics-mob {
        padding: 30px 26px;
    }

    #server-characteristics-mob th {
        padding: 10px 0 20px;
        text-align: left;
    }

    #server-characteristics-mob td {
        padding: 8px 0;
    }

    #server-characteristics-mob tr>* {
        display: block;
    }

    #server-characteristics-mob td:first-child {
        width: 100%;
        padding-bottom: 0;
    }

    #server-characteristics-mob td:last-child {
        width: 100%;
        padding-top: 6px;
    }
}

.t758__breadcrumb-divider {
    /*font-family: var(--font) !important;*/
    font-family: inherit !important;
}